VSTGUI 4.5 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
IMouseObserver Class Referenceabstract

generic mouse observer interface for CFrame More...

Inheritance diagram for IMouseObserver:

## Public Member Functions
virtual | ~IMouseObserver () noexcept=default
virtual void | onMouseEntered (CView *view, CFrame *frame)=0
virtual void | onMouseExited (CView *view, CFrame *frame)=0
virtual CMouseEventResult | onMouseMoved (CFrame *frame, const CPoint &where, const CButtonState &buttons)
| a mouse move event happend on the frame at position where. More...
virtual CMouseEventResult | onMouseDown (CFrame *frame, const CPoint &where, const CButtonState &buttons)
| a mouse down event happend on the frame at position where. More...

## Detailed Description

generic mouse observer interface for CFrame

## Constructor & Destructor Documentation

virtual ~IMouseObserver | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

virtual CMouseEventResult onMouseDown | ( | CFrame * | frame,
|  | const CPoint & | where,
|  | const CButtonState & | buttons
| ) |  |
| inline virtual

a mouse down event happend on the frame at position where.

If the observer handles this, the event won't be propagated further

Reimplemented in VST3Editor.

virtual void onMouseEntered | ( | CView * | view,
|  | CFrame * | frame
| ) |  |
| pure virtual

Implemented in VST3Editor.

virtual void onMouseExited | ( | CView * | view,
|  | CFrame * | frame
| ) |  |
| pure virtual

Implemented in VST3Editor.

virtual CMouseEventResult onMouseMoved | ( | CFrame * | frame,
|  | const CPoint & | where,
|  | const CButtonState & | buttons
| ) |  |
| inline virtual

a mouse move event happend on the frame at position where.

If the observer handles this, the event won't be propagated further

Reimplemented in VST3Editor.

The documentation for this class was generated from the following file:

- cframe.h